#ifndef __LOCK__
#define __LOCK__

void    init_lock();                 
void    acquire_lock();
void    release_lock();

typedef struct{
        unsigned int    tid;
        unsigned int    lock;        
}lock_t;

void    init_spin_lock(__in lock_t *lock);
void    acquire_spin_lock(__in lock_t *lock);
void    release_spin_lock(__in lock_t *lock);
void    wait_zero(__in unsigned long volatile *lock);
#endif

